## cpu cores-0.1.1

=== Makefile ===
default: all

all:
	python setup.py build

install: all
	python setup.py install

clean:
	rm -f *.pyc
	cd tests && rm -f *.pyc
	cd cpu_cores && rm -f *.pyc
	cd tests && rm -Rf htmlcov 
	rm -Rf cpu_cores.egg-info
	rm -f .coverage tests/.coverage
	rm -f MANIFEST
	rm -Rf build
	rm -Rf dist
	rm -Rf cpu_cores.egg-info
	rm -Rf cpu_cores/__pycache__
	rm -Rf tests/__pycache__

sdist: clean
	python setup.py sdist

test:
	cd tests && nosetests

upload:
	python setup.py sdist register upload

coverage:
	cd tests && coverage run `which nosetests` && coverage html --include='*/cpu_cores/*' --omit='test_*'

release: test coverage clean upload clean 

flake8:
	find . -name "*.py" -exec flake8 {} \;

## cpu 1.4.3

=== debian/changelog ===
cpu (1.4.3-16) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Add Build-Depends: libcrypt-dev.  (Closes: #1106910)
  * Fix FTBFS with GCC 15.  (Closes: #1096473)

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 06 Sep 2025 09:57:27 +0200

cpu (1.4.3-15) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Add another smoke test: cpu --version.
  * Declare Rules-Requires-Root: no.
  * Whitespace cleanup.
  * Convert translations to utf-8.

  [ Holger Weiß ]
  * Fix off-by-one allocation error causing segmentation faults.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 03 Oct 2024 07:46:28 +0200

cpu (1.4.3-14~deb11u1) bullseye; urgency=medium

  * QA upload.
  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 14 May 2024 03:34:34 +0200

cpu (1.4.3-14~deb12u1) bookworm; urgency=medium

  * QA upload.
  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Mar 2024 21:37:56 +0100

cpu (1.4.3-14) unstable; urgency=medium

  * QA upload.
  * Actually provide a definition of globalLdap.  (Closes: #1067439)
  * Add smoke test.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 23 Mar 2024 14:39:06 +0100

cpu (1.4.3-13) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Archive, Bug-Submit.
  * Drop unnecessary dependency on dh-autoconf.
  * Drop unnecessary dh arguments: --parallel

  [ Sudip Mukherjee ]
  * Fix ftbfs with GCC-10. (Closes: #957106)
  * Update Standards-Version to 4.5.0
  * Update compat level to 13.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 10 Jul 2020 21:12:27 +0100

cpu (1.4.3-12) unstable; urgency=low

  * QA upload.

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3,,debhelper to 9, add homepage field.
  * Add build-arch and build-indep targets to rules file.
  * Note: some patches were updated with "quilt refresh" to make
    them apply cleanly.
  * Fix maintainer-script-without-set-e (Lintian).
  * Fix copyright-with-old-dh-make-debian-copyright (Lintian).
  * Fix description-synopsis-starts-with-article (Lintian).
  * Fix non-empty-dependency_libs-in-la-file (Lintian) by not installing *.la
    <http://wiki.debian.org/ReleaseGoals/LAFileRemoval>.
  * Closes: #668478

  [ Florian Schlichting ]
  * Fix wrong po header (Closes: #695996)
  * Remove Paul J Stevens from Uploaders on request of the MIA team
    (Closes: #574436)
  * Update Homepage and Standards-Version
  * Ship cpu.conf in /usr/share/cpu instead of /usr/share/doc (Closes: #710069)
  * Change maintainer to Debian QA Group. (see #818629)
  * Add Vcs-* headers
  * Drop obsolete version on (build-)dependencies
  * Fix typos and an error from man, all found by lintian
  * Simplify maintainer scripts a bit, guarding ucf call in postrm
    (Closes: #330567) and preventing sed to operate on non-existant cpu.conf
  * Use short-form debian/rules
    + with dh_autoreconf (closes: #630376)
    + drop 10_cpu.conf.patch, included upstream since 1.4.3
    + update 02_dontmesswithetc.patch to change Makefile.am instead of .in
      and patch doc/cpu.conf instead of using our own copy
    + use all dh-provided hardening flags, fixing FTBFS by adding
      08_add-flag-for-O_CREAT.patch from Ubuntu
    + add 09_build-system.patch addressing some warnings and typos
  * Update debian/copyright to machine-readable copyright-format 1.0
  * Update 06_manpage.patch to actually include the USE_TLS patch
    (Closes: #312601)
  * Add 10_support-inetOrgPerson-Schema.patch: Enhancement to support
    inetOrgPerson Schema (Closes: #397882)
  * Add 11_md5crypt-password-support.patch yo implement md5crypt password
    support (Closes: #428829)
  * Add 12_yes-unimplemented.patch to hide the -y / --yes option, which is
    unfinished / doesn't do anything (Closes: #415282)
  * Add 13_ldap-object-class-violation.patch to display a helpful error message
    for "LDAP error 65" (Closes: #308696)

 -- Florian Schlichting <fsfs@debian.org>  Sat, 26 Mar 2016 22:48:06 +0100

cpu (1.4.3-11.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #684575
    - Slovak (Slavko).  Closes: #685549
    - Polish (Michał Kułach).  Closes: #685947
    - French (typo fixes).

 -- David Prévot <taffit@debian.org>  Mon, 27 Aug 2012 12:12:49 -0400

cpu (1.4.3-11.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on libcrack2-dev.
    Closes: #490235, #598173
    Thanks: Jan Dittberner <jandd@debian.org>
  * Update config.guess and config.sub before configure, not during clean
    and remove them in clean.
  * Add autotools-dev to Build-Depends for the above.
  * Build-Depend on debhelper (>= 7) to match debian/compat.

 -- Evgeni Golov <evgeni@debian.org>  Wed, 06 Oct 2010 14:26:13 +0200

cpu (1.4.3-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix out of date libtool scripts that made tha package FTBFS on kFreeBSD
    Thanks to Petr Salinger for the patch
    Closes: #493704
  * Fix watch file. Thanks to Raphaël Geissert for the patch.
    Closes: #449950
  * Refer to explicit version of GPL-2 in debian.copyright
  * No longer ignore errors in postinst
  * Bump debhelper compatiblity to 7
  * Replace useless dhclean -k by dh_prep
  * Fix pending l10n issues. Debconf translations:
    - Swedish (Martin Bagge).  Closes: #510801
    - Spanish (Francisco Javier Cuadrado).  Closes: #537679
    - Russian (Yuri Kozlov).  Closes: #546346
    - Finnish (Esko Arajärvi).  Closes: #554481
    - Galician (Marce Villarino).  Closes: #555455



=== debian/control ===
Source: cpu
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libldap2-dev,
 libcrack2-dev,
 libcrypt-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: http://cpu.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/cpu.git
Vcs-Browser: https://salsa.debian.org/debian/cpu

Package: cpu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf
Description: console based LDAP user management tool
 CPU is a suitable replacement for the useradd/usermod/userdel utilities for
 administrators using an LDAP backend and wishing to have a suite of command
 line tools for doing the administration.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CFLAGS += -DLDAP_DEPRECATED

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-libcrack --with-ldap --datadir=/usr/share/doc/cpu --sysconfdir=/etc/cpu

override_dh_auto_install:
	dh_auto_install
	# Policy: do not install .la files
	find debian/cpu -name '*.la' -delete

=== debian/tests/control ===
Test-Command: /usr/sbin/cpu || /usr/sbin/cpu 2>&1 | grep ^usage:
Features: test-name=smoketest
Depends:
 cpu,
Restrictions:
 superficial,
 needs-root,
 allow-stderr,

Test-Command: /usr/sbin/cpu --version || test $? = 1
Features: test-name=smoketest--version
Depends:
 cpu,
Restrictions:
 superficial,
 allow-stderr,
